Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-7236

Upgrade to boost 1.61.x

    Details

    • Type: Story
    • Status: Won't Fix
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      Boost is out of date. The stack currently uses 1.60.x and version 1.61.x is out. If this upgrade is trivial it will help the Conda builds.

      More specifically conda-lsst can't use the upstream SWIG recipe unless we make this minor upgrade. This is because SWIG 3.0.10 specifically references a dependency on boost 1.61. In the meantime this is worked around by having our own SWIG recipe (etc/recipes/swig) in conda-lsst.

      It is my opinion that this dependency should be optional so I'll attempt to get that change made upstream with conda-forge/swig-feedstock.

        Attachments

          Issue Links

            Activity

            Hide
            jmatt J Matt Peterson [X] (Inactive) added a comment -

            Since there is no optional dependency support for Conda yet, there is no way to unmuck the Conda recipe. Plus we build our own boost so I don't know that'll help. It may just need to remain the way it is.

            Show
            jmatt J Matt Peterson [X] (Inactive) added a comment - Since there is no optional dependency support for Conda yet, there is no way to unmuck the Conda recipe. Plus we build our own boost so I don't know that'll help. It may just need to remain the way it is.
            Hide
            jmatt J Matt Peterson [X] (Inactive) added a comment -

            The build broke when moving to 1.61.x. See: https://ci.lsst.codes/job/run-rebuild/437/console

            Since fixing this is out of scope, I won't be upgrading.

            Show
            jmatt J Matt Peterson [X] (Inactive) added a comment - The build broke when moving to 1.61.x. See: https://ci.lsst.codes/job/run-rebuild/437/console Since fixing this is out of scope, I won't be upgrading.
            Hide
            jmatt J Matt Peterson [X] (Inactive) added a comment -

            The build broke when moving to 1.61.x. See: https://ci.lsst.codes/job/run-rebuild/437/console

            Since fixing this is out of scope, I won't be upgrading.

            Show
            jmatt J Matt Peterson [X] (Inactive) added a comment - The build broke when moving to 1.61.x. See: https://ci.lsst.codes/job/run-rebuild/437/console Since fixing this is out of scope, I won't be upgrading.

              People

              • Assignee:
                jmatt J Matt Peterson [X] (Inactive)
                Reporter:
                jmatt J Matt Peterson [X] (Inactive)
                Reviewers:
                Tim Jenness
                Watchers:
                J Matt Peterson [X] (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Summary Panel